Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.graphics
Class ImageView

    ru.biosoft.graphics.View
      |
      +--ru.biosoft.graphics.ImageView

public class ImageView
extends View
implements ImageObserver

Paints GIF or JPEG image. You can use AffineTransform to scale the image.

Fields inherited from class ru.biosoft.graphics.View
`ACTIVE, BASELINE, BOTTOM, CENTER, HIDE, LEFT, RIGHT, TOP`

Constructor Summary
`ImageView(Image image, int x, int y, int width, int height)` Constructs ImageView object for the specified Image object.
`ImageView(Image image, int x, int y)`

Method Summary
`boolean` | `imageUpdate(Image img, int info, int x, int y, int width, int height)` Implements the image observer interface.
`void` | `move(int tx, int ty)` Move the image (left top corner) to specified point.
`void` | `paint(Graphics2D g2)`

Methods inherited from class ru.biosoft.graphics.View
`getBounds, getModel, getShape, intersects, isActive, isVisible, move, scale, setActive, setLocation, setLocation, setModel, setToScale, setVisible, updateBounds`

Constructor Detail

### ImageView

    public ImageView(Image image, int x, int y, int width, int height)

  Constructs ImageView object for the specified Image object. If width or height less then 1, then they will be initialized using java.awt.Image.getWidth(java.awt.image.ImageObserver) and java.awt.Image.getHeight(java.awt.image.ImageObserver) methods.

### ImageView

    public ImageView(Image image, int x, int y)

Method Detail

### imageUpdate

    public boolean imageUpdate(Image img, int info, int x, int y, int width, int height)

  Implements the image observer interface.

### move

    public void move(int tx, int ty)

  Move the image (left top corner) to specified point.
  Parameters:
    p - specified point.

### paint

    public void paint(Graphics2D g2)

Association Links

to Class java.awt.Image

  Image.

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM